'use strict';

exports.__esModule = true;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _style = require('../style');

var _style2 = _interopRequireDefault(_style);

var Col = (function (_Component) {
  _inherits(Col, _Component);

  function Col(props) {
    _classCallCheck(this, Col);

    _Component.call(this, props);

    this._classMap = {
      xs: 'col-xs-',
      sm: 'col-sm-',
      md: 'col-md-',
      lg: 'col-lg-',
      xsOffset: 'col-xs-offset-',
      smOffset: 'col-sm-offset-',
      mdOffset: 'col-md-offset-',
      lgOffset: 'col-lg-offset-'
    };
  }

  Col.prototype.render = function render() {
    var classes = [];

    if (this.props.className) {
      classes.push(this.props.className);
    }

    if (this.props.reverse) {
      classes.push(_style2['default'].reverse);
    }

    for (var key in this.props) {
      if (this.props.hasOwnProperty(key) && this._classMap[key]) {
        classes.push(_style2['default'][this._classMap[key] + this.props[key]]);
      }
    }

    return _react2['default'].createElement('div', Object.assign({}, this.props, {
      className: classes.join(' ')
    }), this.props.children);
  };

  return Col;
})(_react.Component);

exports['default'] = Col;

Col.propTypes = {
  xs: _react.PropTypes.number,
  sm: _react.PropTypes.number,
  md: _react.PropTypes.number,
  lg: _react.PropTypes.number,
  xsOffset: _react.PropTypes.number,
  smOffset: _react.PropTypes.number,
  mdOffset: _react.PropTypes.number,
  lgOffset: _react.PropTypes.number,
  reverse: _react.PropTypes.bool,
  className: _react.PropTypes.string,
  children: _react.PropTypes.node
};
module.exports = exports['default'];